RICOCHET(6)

NAME
ricochet - client application for multi-player ricochet robots game

SYNOPSIS
ricochet --host <hostname> --port <port> --name <username> --game <gamename> --watch

DESCRIPTION

Ricochet is a client for the Ricochet Robots server (rrserve). It provides a view of the board and permits the user to fully interact with the server, both managing the set of games running in the server and playing individual games.

USAGE

Options are as follows:

--help,--usage
    Print a help/usage message and exit.

-h,--host hostname
    Select the host running the Ricochet Robots server. By default, ricochet connects to localhost

-p,--port port
    Select the TCP port to connect to. By default, ricochet connects to port 5252.

-n,--name username
    Specify the player name to present to the server. This name will be shown to all other players. By default, this is the user's login name.

-g,--game  gamename
    Select a game to join or create. By default, ricochet presents a dialog showing the available games and also allowing the user to create a new game.

-w,--watch
    This allows the user to watch the selected game rather than participating in it.

AUTHOR
icochet is the work of Keith Packard <keithp@keithp.com>

Ricochet is
Copyright 2003,2012 Keith Packard. All Rights Reserved.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; version 2 of the License.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA. Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.